package io.hmit.modules.fhjw.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.CrudService;
import io.hmit.modules.fhjw.dto.FhjwCommentDTO;
import io.hmit.modules.fhjw.dto.UserDTO;
import io.hmit.modules.fhjw.entity.FhjwCommentEntity;

import java.util.List;
import java.util.Map;

/**
 * 案件评价表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
public interface FhjwCommentService extends CrudService<FhjwCommentEntity, FhjwCommentDTO> {
    @Override
    PageData<FhjwCommentDTO> page(Map<String, Object> params);

    FhjwCommentDTO assembleDTO(Map<String, Object> params);

    List<Long> getUserIdByCase(Long caseId);

    @Override
    void delete(Long[] ids);

    int getCountByUserId(Long userId);
}
